%global packname  R.utils
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.9.0
Release:          1%{?dist}
Summary:          Various Programming Utilities

License:          LGPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-R.oo >= 1.22.0
# Imports:   R-methods, R-utils, R-tools, R-R.methodsS3 >= 1.7.1
# Suggests:  R-digest >= 0.6.10
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-R.oo >= 1.22.0
Requires:         R-methods
Requires:         R-utils
Requires:         R-tools
Requires:         R-R.methodsS3 >= 1.7.1
Suggests:         R-digest >= 0.6.10
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-R.oo >= 1.22.0
BuildRequires:    R-methods
BuildRequires:    R-utils
BuildRequires:    R-tools
BuildRequires:    R-R.methodsS3 >= 1.7.1
BuildRequires:    R-digest >= 0.6.10

%description
Utility functions useful when programming and developing R packages.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/data-ex


%changelog
* Fri Jun 14 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.0-1
- Update to latest version

* Sat Feb 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.0-1
- Update to latest version

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 04 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.0-1
- Update to latest version

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.0-1
- initial package for Fedora
